<?php
declare(strict_types=1);

namespace App\Entity\Booking;

use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
#[ORM\MappedSuperclass]
abstract class AbstractBookingRecur
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    protected ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}